## List Sites `client.magicTransit.sites.list(SiteListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/magic/sites` Lists Sites associated with an account. Use connectorid query param to return sites where connectorid matches either site.ConnectorID or site.SecondaryConnectorID. ### Parameters - `params: SiteListParams` - `account_id: string` Path param: Identifier - `connectorid?: string` Query param: Identifier ### Returns - `Site` - `id?: string` Identifier - `connector_id?: string` Magic Connector identifier tag. - `description?: string` - `ha_mode?: boolean` Site high availability mode. If set to true, the site can have two connectors and runs in high availability mode. - `location?: SiteLocation` Location of site in latitude and longitude. - `lat?: string` Latitude - `lon?: string` Longitude - `name?: string` The name of the site. - `secondary_connector_id?: string` Magic Connector identifier tag. Used when high availability mode is on. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const site of client.magicTransit.sites.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(site.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "connector_id": "ac60d3d0435248289d446cedd870bcf4", "description": "description", "ha_mode": true, "location": { "lat": "37.6192", "lon": "122.3816" }, "name": "site_1", "secondary_connector_id": "8d67040d3835dbcf46ce29da440dc482" } ], "success": true } ```